package cokr.xit.fims.excl.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.excl.LevyExcl;
import cokr.xit.fims.excl.LevyExclQuery;
import cokr.xit.fims.excl.service.LevyExclService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**부과제외 대장 서비스 구현체.
 *
 * <p>상세 설명: 부과제외 대장 업무 기능을 구현한 클래스
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-06-23	JoJH 최초 작성
 * ================================
 * </pre>
*/
@Service("levyExclService")
public class LevyExclServiceBean extends AbstractServiceBean implements LevyExclService {
	/* 부과제외 대장 정보 Bean */
	@Resource(name = "levyExclBean")
	protected LevyExclBean levyExclBean;

	@Override
	public List<DataObject> getLevyExclList(LevyExclQuery req) {
		return levyExclBean.getLevyExclList(req);
	}

	@Override
	public List<DataObject> getLevyExcls(LevyExclQuery req) {
		return levyExclBean.getLevyExcls(req);
	}

	@Override
	public DataObject getLevyExclInfo(LevyExclQuery req) {
		return levyExclBean.getLevyExclInfo(req);
	}

	@Override
	public String createLevyExcl(LevyExcl levyExcl) {
		return levyExclBean.createLevyExcl(levyExcl);
	}

	@Override
	public String updateLevyExcl(LevyExcl levyExcl) {
		return levyExclBean.updateLevyExcl(levyExcl);
	}

	@Override
	public String removeLevyExcl(LevyExcl levyExcl) {
		return levyExclBean.removeLevyExcl(levyExcl);
	}
}